package relational.email;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * An interface for classes that organize the visual elements of the
 * email application.
 */
public interface DisplayManager {

	public void add(JComponent c, String title);
	public void setVisible(boolean state);
	public void registerKeyboardAction(ActionListener a, String s,
		KeyStroke k, int c);
	public MessageView getMessageView();
	public FilterView getFilterView();
}
